Imports System.Configuration

Namespace MySsisUnitTests
	Friend Class Constants
		Public Shared ReadOnly Property DbConnectionString As String
			Get
				Return ConfigurationManager.ConnectionStrings("DbConnectionString").ConnectionString
			End Get
		End Property

		Public Shared ReadOnly Property SsisDbConnectionString As String
			Get
				Return ConfigurationManager.ConnectionStrings("SsisDbConnectionString").ConnectionString
			End Get
		End Property

		Private Shared ReadOnly PathToProjectFiles As String = New System.IO.DirectoryInfo(System.IO.Path.GetDirectoryName(System.Reflection.Assembly.GetExecutingAssembly.Location)).Parent.Parent.FullName
		Public Shared ReadOnly CustomersFileSource As String = System.IO.Path.Combine(PathToProjectFiles, "Files\Customers.txt")
		Public Shared ReadOnly CustomersFileDestination As String = System.IO.Path.Combine(PathToProjectFiles, "Files\Destination\Customers.txt")
		Public Shared ReadOnly CustomersFileConverted As String = System.IO.Path.Combine(PathToProjectFiles, "Files\Destination\ConvertedCustomers.txt")

		Public Shared ReadOnly PathToPackages As String = System.IO.Path.Combine(PathToProjectFiles, "Packages\")
		Public Shared ReadOnly PathToMainPackage As String = System.IO.Path.Combine(PathToPackages, "Main.dtsx")
		Public Shared ReadOnly PathToCopyCustomersPackage As String = System.IO.Path.Combine(PathToPackages, "CopyCustomers.dtsx")
		Public Shared ReadOnly PathToLoadCustomersPackage As String = System.IO.Path.Combine(PathToPackages, "LoadCustomers.dtsx")
	End Class
End Namespace
