Imports Microsoft.VisualStudio.TestTools.UnitTesting
Imports MySsisUnitTests.UnitTests
Imports SSIS.Test
Imports System.Reflection

Namespace MySsisUnitTests
	<TestClass>
	Public Class SSISUnitTestAdapter
		Public Shared Property Engine As IUnitTestEngine

		<AssemblyInitialize>
		Public Shared Sub Prepare(ByVal context As TestContext)
			Engine = EngineFactory.GetClassInstance(Of IUnitTestEngine)()
			Dim repository As String = "CUSTOMERS"
			Dim pathToPackages As String = Constants.PathToPackages
			Engine.LoadPackages(repository, pathToPackages)

			Dim testAssembly As System.Reflection.Assembly = System.Reflection.Assembly.GetAssembly(GetType(CopyCustomersTest))
			Engine.LoadRepositoryUnitTests(testAssembly, repository)
		End Sub

		<TestMethod>
		Public Sub CopyCustomersTests()
			Engine.ExecuteUnitTest(GetType(CopyCustomersTest))
		End Sub

		<TestMethod>
		Public Sub LoadCustomersTests()
			Engine.ExecuteUnitTest(GetType(LoadCustomersTest))
		End Sub

		<TestMethod>
		Public Sub LoadCustomersConstraintsTest()
            Engine.ExecuteUnitTest(GetType(LoadCustomersConstraintsTest))
		End Sub
	End Class
End Namespace
