Imports Microsoft.VisualStudio.TestTools.UnitTesting
Imports SSIS.Test
Imports SSIS.Test.Dts
Imports SSIS.Test.Metadata

Namespace MySsisUnitTests.UnitTests
	<UnitTest("CUSTOMERS", "LoadCustomers.dtsx", PrecedenceConstraintsTestOnly := True)>
	Public Class LoadCustomersConstraintsTest
		Inherits BaseUnitTest

		Private _countConstraint As DtsPrecedenceConstraint

		Protected Overrides Sub Setup(ByVal context As SetupContext)
			' set variable to 0
			Dim variable As DtsVariable = context.Package.GetVariable("CustomerCount")
			variable.SetValue(0)

			' get the target precedence constraint and set the execution result of the preceding task to success
			_countConstraint = context.Package.GetPrecedingConstraintForPath("\[LoadCustomers]\[SCR CheckCount].[CountConstraint]")
			_countConstraint.SetExecutionResult(DtsExecutionResult.Success)
		End Sub

		Protected Overrides Sub Verify(ByVal context As VerificationContext)
			Assert.AreEqual(False, _countConstraint.Evaluate)
		End Sub

		Protected Overrides Sub Teardown(ByVal context As TeardownContext)
		End Sub
	End Class
End Namespace
